using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace WindowsApplication24 {
    public partial class Form1 : Form {
        /// <summary>
        /// Grid Data Source
        /// </summary>
        private DataTable dt;

        public Form1() {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e) {
            #region setting grid column1
            this.gridDataBoundGrid1.Model.CellModels.Add("MyComboBox", new MyComboBoxCellModel(this.gridDataBoundGrid1.Model));
            GridBoundColumn col1 = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
            col1.MappingName = "look_up_column";
            col1.StyleInfo.CellType = "MyComboBox";
            //col1.StyleInfo.CellType = "ComboBox";
            
            col1.StyleInfo.DropDownStyle = GridDropDownStyle.AutoComplete;
            DataTable dt1 = new DataTable();
            dt1.Columns.Add(new DataColumn("value", typeof(long)));
            dt1.Columns.Add(new DataColumn("display", typeof(string)));
            DataRow dr1 = dt1.NewRow();
            dr1[0] = 1;
            dr1[1] = "v1";
            dt1.Rows.Add(dr1);

            dr1 = dt1.NewRow();
            dr1[0] = 2;
            dr1[1] = "v2";
            dt1.Rows.Add(dr1);

            dr1 = dt1.NewRow();
            dr1[0] = 3;
            dr1[1] = "v3";
            dt1.Rows.Add(dr1);
            col1.StyleInfo.DataSource = dt1;
            col1.StyleInfo.ValueMember = "value";
            col1.StyleInfo.DisplayMember = "display";
            
            this.gridDataBoundGrid1.GridBoundColumns.Add(col1);
            #endregion
            
            
            #region setting grid column2
            GridBoundColumn col2 = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
            col2.MappingName = "column2";
            col2.StyleInfo.CellType = "TextBox";
            this.gridDataBoundGrid1.GridBoundColumns.Add(col2);
            #endregion

            #region seting dataSource
            this.dt = new DataTable();
            this.dt.Columns.Add(new DataColumn("look_up_column", typeof(long)));
            this.dt.Columns.Add(new DataColumn("column2", typeof(string)));
            DataRow dr = this.dt.NewRow();
            dr[0] = 1;
            dr[1] = "col2";
            dt.Rows.Add(dr);
            this.gridDataBoundGrid1.DataSource = dt;
            #endregion
            
        }
    }
}